# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.policy.impl.FunctionalRuleContext

Packages that use FunctionalRuleContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl
This package has registration policy implementations.
net.shibboleth.idp.plugin.authn.webauthn.policy.impl
This package has authentication policy implementations.

## Uses of FunctionalRuleContext in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type parameters of type FunctionalRuleContext
Modifier and Type
Field
Description
`private BiFunction<com.yubico.fido.metadata.AAGUID,FunctionalRuleContext,AuthenticatorPolicy.AuthenticatorPolicyOutcome>`
FunctionalAuthenticatorPolicyRule.`rule`
The function to run.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type arguments of type FunctionalRuleContext
Modifier and Type
Method
Description
`void`
FunctionalAuthenticatorPolicyRule.`setRule(BiFunction<com.yubico.fido.metadata.AAGUID,FunctionalRuleContext,AuthenticatorPolicy.AuthenticatorPolicyOutcome> function)`
Set the policy function rule to run.

## Uses of FunctionalRuleContext in net.shibboleth.idp.plugin.authn.webauthn.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type parameters of type FunctionalRuleContext
Modifier and Type
Field
Description
`private BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome>`
FunctionalCredentialPolicyRule.`rule`
The function to run.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type arguments of type FunctionalRuleContext
Modifier and Type
Method
Description
`void`
FunctionalCredentialPolicyRule.`setRule(BiFunction<EnhancedCredentialRecord,FunctionalRuleContext,CredentialPolicy.CredentialPolicyOutcome> function)`
Set the policy function to run.